petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatSeqDenseSetPreallocation

Sets the array used for storing the matrix elements

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatSeqDenseSetPreallocation(Mat B,PetscScalar data[])

Collective on MPI_Comm

### Input Parameters

| B | - the matrix
| data | - the array (or NULL)

### Notes

The data input variable is intended primarily for Fortran programmers who wish to allocate their own matrix memory space. Most users should need not call this routine.

### Keywords

dense, matrix, LAPACK, BLAS

### See Also

MatCreate(), MatCreateDense(), MatSetValues(), MatSeqDenseSetLDA()

Level:intermediate
Location:src/mat/impls/dense/seq/dense.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex2.c.html
src/ksp/ksp/examples/tutorials/ex30.c.html